Subject: [PATCH v10 8/8] arm/arm64: Documentation: Update arm-vgic-v3.txt

From: [email-masked] (Christoffer Dall)
Date: Mon, 23 Jan 2017 12:43:35 +0100

On Mon, Jan 23, 2017 at 05:03:55PM +0530, Vijay Kilari wrote:
> On Mon, Jan 23, 2017 at 4:50 PM, Christoffer Dall
> <[email-masked]> wrote:
> > On Mon, Jan 23, 2017 at 04:22:39PM +0530, Vijay Kilari wrote:
> >> Hi Christoffer,
> >>
> >> In the document,
> >>
> >>     The mpidr field is used to specify which
> >>     redistributor is accessed.  The mpidr is ignored for the distributor.
> >>
> >> We still rely on MPIDR for KVM_DEV_ARM_VGIC_GRP_DIST_REGS to fetch
> >> vcpu info. So don't we need to remove this restriction?.
> >> Or force to use vcpu[0]?
> >
> > Does the data we return ever change if you supply a diferent MPIDR and
> > access a distributor register?  If not (and I don't think it should),
> > then the API is properly defined but the internal implementation should
> > not rely on the value provided by user space.
> 
> Data does not change. However the common uaccess code expects vcpu.
> 

Just use vcpu[0] if it's not worth refactoring then.

-Christoffer